Package com.openmeet.shared.data.report

# Class Report

java.lang.Object
com.openmeet.shared.data.report.Report

All Implemented Interfaces:
  `IEntity`

public class Report extends Object implements IEntity
This class represents the Report Entity.

See Also:
  - `IEntity`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `REPORT`
  `static final String`
  `REPORT_CREATION_DATE`
  `static final String`
  `REPORT_ID`
  `static final String`
  `REPORT_IS_ARCHIVED`
  `static final String`
  `REPORT_MEETER_REPORTED`
  `static final String`
  `REPORT_MEETER_REPORTER`
  `static final String`
  `REPORT_REASON`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Report()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Timestamp`
  `getCreationDate()`
  Returns the creationDate of the Report.
  `int`
  `getId()`
  Returns the id of the Report.
  `int`
  `getMeeterReported()`
  Returns the id of the meeter who got reported.
  `int`
  `getMeeterReporter()`
  Returns the id of the meeter who created the Report.
  `String`
  `getReason()`
  Returns the reason of the Report.
  `boolean`
  `isArchived()`
  Returns the isArchived of the Report.
  `void`
  `setCreationDate(Timestamp creationDate)`
  Sets the creationDate of the Report.
  `void`
  `setId(int id)`
  Sets the id of the Report.
  `void`
  `setIsArchived(boolean isArchived)`
  Sets the isArchived of the Report.
  `void`
  `setMeeterReported(int meeterReported)`
  Sets the id of the meeter who got reported.
  `void`
  `setMeeterReporter(int meeterReporter)`
  Sets the id of the meeter who created the Report.
  `void`
  `setReason(String reason)`
  Sets the reason of the Report.
  `HashMap<String,?>`
  `toHashMap()`
  Returns the Report as an hashMap.
  `HashMap<String,?>`
  `toHashMap(String... fields)`
  Returns the Report as an hashMap.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### REPORT

    public static final String REPORT
    See Also:
      - Constant Field Values

  - ### REPORT_ID

    public static final String REPORT_ID
    See Also:
      - Constant Field Values

  - ### REPORT_MEETER_REPORTER

    public static final String REPORT_MEETER_REPORTER
    See Also:
      - Constant Field Values

  - ### REPORT_MEETER_REPORTED

    public static final String REPORT_MEETER_REPORTED
    See Also:
      - Constant Field Values

  - ### REPORT_REASON

    public static final String REPORT_REASON
    See Also:
      - Constant Field Values

  - ### REPORT_IS_ARCHIVED

    public static final String REPORT_IS_ARCHIVED
    See Also:
      - Constant Field Values

  - ### REPORT_CREATION_DATE

    public static final String REPORT_CREATION_DATE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Report

    public Report()

- ## Method Details

  - ### toHashMap

    public HashMap<String,?> toHashMap()
    Returns the Report as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Returns:
      the Ban as an hashMap.
    See Also:
      - `IEntity`

  - ### toHashMap

    public HashMap<String,?> toHashMap(String... fields)
    Returns the Report as an hashMap.
    Specified by:
      `toHashMap` in interface `IEntity`
    Parameters:
      `fields` - the fields to be returned.
    Returns:
      the Ban as an hashMap.
    See Also:
      - `IEntity`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public int getId()
    Returns the id of the Report.
    Returns:
      the id of the Report.

  - ### setId

    public void setId(int id)
    Sets the id of the Report.
    Parameters:
      `id` - the id of the Report.

  - ### getMeeterReporter

    public int getMeeterReporter()
    Returns the id of the meeter who created the Report.
    Returns:
      the id of the meeter who created the Report.

  - ### setMeeterReporter

    public void setMeeterReporter(int meeterReporter)
    Sets the id of the meeter who created the Report.
    Parameters:
      `meeterReporter` - the id of the meeter who created the Report.

  - ### getMeeterReported

    public int getMeeterReported()
    Returns the id of the meeter who got reported.
    Returns:
      the id of the meeter who got reported.

  - ### setMeeterReported

    public void setMeeterReported(int meeterReported)
    Sets the id of the meeter who got reported.
    Parameters:
      `meeterReported` - the id of the meeter who got reported.

  - ### getReason

    public String getReason()
    Returns the reason of the Report.
    Returns:
      the reason of the Report.

  - ### setReason

    public void setReason(String reason)
    Sets the reason of the Report.
    Parameters:
      `reason` - the reason of the Report.

  - ### isArchived

    public boolean isArchived()
    Returns the isArchived of the Report.
    Returns:
      the isArchived of the Report.

  - ### setIsArchived

    public void setIsArchived(boolean isArchived)
    Sets the isArchived of the Report.
    Parameters:
      `isArchived` - the isArchived of the Report.

  - ### getCreationDate

    public Timestamp getCreationDate()
    Returns the creationDate of the Report.
    Returns:
      the creationDate of the Report.

  - ### setCreationDate

    public void setCreationDate(Timestamp creationDate)
    Sets the creationDate of the Report.
    Parameters:
      `creationDate` - the creationDate of the Report.